NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_adp_stream(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_adp_stream - Begin streaming of ADP output

## Table Of Contents

## Synopsis

- ns_adp_stream

## Description

## COMMANDS

ns_adp_stream

  This command turns on "streaming mode" of ADP output, where output is immediately sent instead of queued up in an output buffer. All data in the current ADP output buffer is flushed and written to the client and any subsequent data will be immediately written as well.

  Streaming is only available when using the "fancy" ADP parser.

## See Also

ns_adp, ns_adp_abort, ns_adp_break, ns_adp_close, ns_adp_ctl, ns_adp_dump, ns_adp_flush, ns_adp_return, ns_adp_stream

## Keywords

ADP